All Frameworks  Object Hierarchy  This Framework  Indexes   

NavigatorWorkbench (Object)

The object to manage all DMU Navigator entities.

This version allows to manage groups and annotated views.


Property Index

AnnotatedViews
Returns the AnnotatedViews collection.
DMUDataFlow
Returns the DMU DataFlow object.
Groups
Returns the Groups collection.
Hyperlinks
Returns the Hyperlinks collection.
Marker3Ds
Returns the Marker3Ds collection.

Method Index

AdvancedView
Applies the annotated view to the current viewer.
GetOrder
Returns the order of an object.
SetOrder
Sets the order of an object.
View
Applies the annotated view to the current viewer.

Properties


o Property AnnotatedViews() As (Read Only)
Returns the AnnotatedViews collection.

WARNING: this method will be DEPRECATED in the next release. It is recommended to use the method GetTechnologicalObject("AnnotatedViews") on the root product, to retrieve the AnnotatedViews collection.

Example:
This example retrieves the AnnotatedViews collection of the active document.
    Dim TheNavigatorWorkbench As Workbench
    Set TheNavigatorWorkbench = CATIA.ActiveDocument.GetWorkbench ( "NavigatorWorkbench" )
    Dim TheAnnotatedViewsList As AnnotatedViews
    Set TheAnnotatedViewsList = TheNavigatorWorkbench.AnnotatedViews
    
o Property DMUDataFlow() As (Read Only)
Returns the DMU DataFlow object.
o Property Groups() As (Read Only)
Returns the Groups collection.

WARNING: this method will be DEPRECATED in the next release. It is recommended to use the method GetTechnologicalObject("Groups") on the root product, to retrieve the Groups collection.

Example:
This example retrieves the Groups collection of the active document.
    Dim TheNavigatorWorkbench As Workbench
    Set TheNavigatorWorkbench = CATIA.ActiveDocument.GetWorkbench ( "NavigatorWorkbench" )
    Dim TheGroupsList As Groups
    Set TheGroupsList = TheNavigatorWorkbench.Groups
    
o Property Hyperlinks() As (Read Only)
Returns the Hyperlinks collection.

WARNING: this method will be DEPRECATED in the next release. It is recommended to use the method GetTechnologicalObject("Hyperlinks") on the root product, to retrieve the Hyperlinks collection.

Example:
This example retrieves the Hyperlinks collection of the active document.
    Dim TheNavigatorWorkbench As Workbench
    Set TheNavigatorWorkbench = CATIA.ActiveDocument.GetWorkbench ( "NavigatorWorkbench" )
    Dim HyperlinksList As Hyperlinks
    Set HyperlinksList = TheNavigatorWorkbench.Hyperlinks
    
o Property Marker3Ds() As (Read Only)
Returns the Marker3Ds collection.

WARNING: this method will be DEPRECATED in the next release. It is recommended to use the method GetTechnologicalObject("Marker3Ds") on the root product, to retrieve the Marker3Ds collection.

Example:
This example retrieves the Marker3Ds collection of the active document.
    Dim TheNavigatorWorkbench As Workbench
    Set TheNavigatorWorkbench = CATIA.ActiveDocument.GetWorkbench ( "NavigatorWorkbench" )
    Dim TheMarker3DsList As AnnotatedViews
    Set TheMarker3DsList = TheNavigatorWorkbench.Marker3Ds
    

Methods


o Sub AdvancedView( iAnnotatedView,
iViewOption)
Applies the annotated view to the current viewer.
Parameters:
iAnnotatedView
The annotated view to apply.
iViewOptions
The option to launch the annotated view command, possible values are
  • CatAnnotatedViewCmdOption_NoToolbar : No Toolbar for annotation creation
  • CatAnnotatedViewCmdOption_NoAnimation : No Animation when applying the view
Example:
This example applies the view of the NewAnnotatedView AnnotatedView.
    TheNavigatorWorkbench.View,CatAnnotatedViewCmdOption_NoAnimation+CatAnnotatedViewCmdOption_NoToolbar(NewAnnotatedView)
    
o Func GetOrder( iObject) As
Returns the order of an object.
Parameters:
iObject
The object whose rank has to be returned.
oCurrentRank
The current rank of the object (from 1 to n the number of objects in the collection).
Example:
This example creates an annotated view NewAnnotatedView and returns its position.
    Dim TheNavigatorWorkbench As Workbench
    Set TheNavigatorWorkbench = CATIA.ActiveDocument.GetWorkbench ( "NavigatorWorkbench" )
    
    Dim NewAnnotatedView As AnnotatedView
    Set NewAnnotatedView = TheAnnotatedViews.Add
    
    Dim iOrder As Integer
    iOrder = TheNavigatorWorkbench.GetOrder(NewAnnotatedView)
    
o Sub SetOrder( iObject,
iNewRank)
Sets the order of an object.
Parameters:
iObject
The object whose rank has to be modified.
iNewRank
The new rank of the object (from 1 to n the number of objects in the collection).
Example:
This example creates an annotated view NewAnnotatedView and move it to the first position.
    Dim TheNavigatorWorkbench As Workbench
    Set TheNavigatorWorkbench = CATIA.ActiveDocument.GetWorkbench ( "NavigatorWorkbench" )
    
    Dim NewAnnotatedView As AnnotatedView
    Set NewAnnotatedView = TheAnnotatedViews.Add
    TheNavigatorWorkbench.SetOrder NewAnnotatedView, 1
    
o Sub View( iAnnotatedView)
Applies the annotated view to the current viewer.
Parameters:
iAnnotatedView
The annotated view to apply.
Example:
This example applies the view of the NewAnnotatedView AnnotatedView.
    TheNavigatorWorkbench.View(NewAnnotatedView)
    

Copyright © 2003, Dassault Systèmes. All rights reserved.